/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __MALLOC_H__
#define __MALLOC_H__

#include <stddef.h>

extern void malloc_stat(void);
extern int malloc_init(unsigned char* MMEM_BASE, size_t MMEM_SIZE, size_t MBLK_SIZE);
extern void *malloc_id(size_t size, int id);

/* standard functions */
extern void *realloc(void *ptr, size_t size);
extern void *calloc(size_t nelem, size_t elsize);
extern void *malloc(size_t size);
extern void free(void *ptr);

#endif /* __MALLOC_H__ */

