/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __SYSUTIL_H__
#define __SYSUTIL_H__

#include <stdarg.h>

/* extern int vsprintf(char *buf, const char *fmt, va_list args); */

extern int getchar(void);
extern int putchar(char c);
extern void puts (char* s);
extern void printf (const char *fmt, ...);
extern void dbgprintf (const char *fmt, ...);

extern int vsprintf(char *str, const char *fmt, va_list args);

#endif /* __SYSUTIL_H__ */

