/*
 * Copyright (c) 2009, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __FBCON_H__
#define __FBCON_H__

struct vcon_s {
   unsigned short x_max_chr;
   unsigned short y_max_chr;
   unsigned short cursor_x;
   unsigned short cursor_y;
   unsigned short cursor_en;
   unsigned short cursor_lock;
};

/* 16bits linear framebuffers */

extern int fbc_charblt_16(int c, int col, int row);
extern void fbc_hscroll_16(void);
extern int fbc_ch_putchar_16(int base, char c);
extern int fbc_putchar_16(int c);
extern int fbc_puts_16(char* str);
extern int fbc_init(unsigned char* base, unsigned short w, unsigned short h);

#endif /* __FBCON_H__ */

