/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __TYPES_H__
#define __TYPES_H__

#include <stddef.h> /* gcc lib */

typedef signed char s8;
typedef unsigned char u8;

typedef signed short s16;
typedef unsigned short u16;

typedef signed int s32;
typedef unsigned int u32;

typedef signed long long s64;
typedef unsigned long long u64;

/* typedef long size_t; */ /* stddef.h */

/* #define NULL 0x00 */    /* stddef.h */

typedef enum
{
    FALSE = 0,
    TRUE  = 1
} bool_t;

#endif /* __TYPES_H__ */

