/*
 * (C) Copyright 2008
 * Noel Lemouel <noel@stellae.fr>
 */

#ifndef __SPRITE_H__
#define __SPRITE_H__

#include <types.h>
#include "draw.h"

typedef struct sprite_s{
	u16 w;
	u16 h;
	u16 bpp;
	u8 *base;
} sprite_t;

extern s32 sprite_blit_16(fb_t* fb, sprite_t* sprite, u16 x, u16 y);
extern s32 sprite_area_blit_16(fb_t* fb, sprite_t* sprite, area_t* area, u16 x, u16 y);

#endif /* __SPRITE_H__ */
